"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3C40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3D80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3CE0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3E20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3EC0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC684B3F60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685080E0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508180>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508220>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685082C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508360>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508400>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685084A0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508540>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685085E0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508680>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508720>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685087C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508860>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508900>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685089A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508A40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508AE0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508B80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508C20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508CC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508D60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508E00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508EA0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508F40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68508FE0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509080>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509120>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685091C0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509260>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509300>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685093A0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509440>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685094E0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509580>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509620>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685096C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509760>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509800>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685098A0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC685099E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509A80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509B20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509BC0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509C60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509D00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509DA0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509E40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509EE0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC68509F80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A020>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A0C0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A200>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A2A0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A340>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A3E0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A480>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A520>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A5C0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A660>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A7A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A840>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A8E0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850A980>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AA20>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AAC0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AB60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AC00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850ACA0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AD40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AE80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850ADE0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AF20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850AFC0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850B060>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EC6850B100>)]
name: str = 'fr_HOCCN'
